Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.passage
Interface KeyVisitor

All Known Implementing Classes:
  DefaultKeyVisitor

    public interface KeyVisitor

An interface for components wanting to visit all the nodes in a Key tree.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: KeyVisitor.java,v 1.2 2004/08/16 22:08:43 joe Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Method Summary
`void` | `visitBranch(Key key)` We've found a branch node in a Key tree, and are giving the visitor a change to do processing based on it.
`void` | `visitLeaf(Key key)` We've found a leaf node in a Key tree, and are giving the visitor a change to do processing based on it.

Method Detail

### visitLeaf

    void visitLeaf(Key key)

  We've found a leaf node in a Key tree, and are giving the visitor a change to do processing based on it.

  Parameters:
    `key` - The found leaf node.

### visitBranch

    void visitBranch(Key key)

  We've found a branch node in a Key tree, and are giving the visitor a change to do processing based on it.

  Parameters:
    `key` - The found branch node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD